#32/64

%global vernumber 104
Name:           higan
Version:        %{vernumber}
Release:        %mkrel 1
Summary:        Nintendo emulator focused on accuracy
License:        GPLv3
Group:		Emulators
Url:            http://byuu.org/emulation/higan/
Source0:        higan_v%{vernumber}-source.tar.xz
# Additional sources from Debian
Source10:       higan_user_guide.tar.xz
Source11:       %{name}.6
Source12:       icarus.6

# Own patches
Patch1:        higan-102-mga-optflags.patch

# Cherry-picked patches from Debian
Patch12:        use-XDG_CONFIG_HOME.patch
Patch13:        find_cairo.patch
Patch14:        use_sharedpath.patch
Patch15:        ignore_manifests_by_default.patch
Patch17:        include_cmath.patch


BuildRequires:  libgomp-devel
BuildRequires:	%{_lib}gtk+2.0_0-devel
BuildRequires:	%{_lib}gtksourceview2-2.0_0-devel
BuildRequires:  %{_lib}alsa2-devel
BuildRequires:  %{_lib}ao-devel
BuildRequires:  mesa-devel
BuildRequires:  %{_lib}pulseaudio-devel
BuildRequires:  %{_lib}udev0-devel
BuildRequires:  %{_lib}openal-devel
BuildRequires:  %{_lib}SDL-devel
BuildRequires:  %{_lib}x11-devel
BuildRequires:  %{_lib}xext-devel
BuildRequires:  %{_lib}xv-devel
BuildRequires:  desktop-file-utils
BuildRoot: 	%_tmppath/%name-%version-buildroot


%description
%{name} is an emulator that began development 
on 14 October 2004. 
The purpose of the
emulator is a bit different from other emulators: 
it focuses on accuracy,
debugging functionality, and clean code.
The emulator does not focus on things that would 
hinder accuracy.
This includes speed and game-specific 
hacks for compatibility. 
As a result, the minimum system requirements 
for %{name} are quite high.

%prep
%setup -q -n %{name}_v%{version}-source -a10
%patch1 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1

%patch17 -p1

%build
%make_build -C icarus CFLAGS="%{optflags}" CPPFLAGS="%{optflags}" LDFLAGS="%{ldflags}"
%make_build -C higan CFLAGS="%{optflags}" CPPFLAGS="%{optflags}" LDFLAGS="%{ldflags}"


%install
install -d %{buildroot}%{_bindir}
install -m755 icarus/out/icarus %{buildroot}%{_bindir}

pushd higan
install -m755 out/%{name} %{buildroot}%{_bindir}

install -d %{buildroot}%{_datadir}/%{name}

cp -a systems/* %{buildroot}%{_datadir}/%{name}


install -d %{buildroot}%{_datadir}/applications
install -m644 data/%{name}.desktop %{buildroot}%{_datadir}/applications

install -d %{buildroot}%{_iconsdir}
install -m644 data/higan.png %{buildroot}%{_iconsdir}/%{name}.png
popd

install -d %{buildroot}%{_mandir}/man6
install -m644 %{_sourcedir}/%{name}.6 %{buildroot}%{_mandir}/man6
install -m644 %{_sourcedir}/icarus.6 %{buildroot}%{_mandir}/man6


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}_v%{vernumber}-source

%files

%doc higan_user_guide/*
%{_bindir}/%{name}
%{_bindir}/icarus
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_mandir}/man6/%{name}.6*
%{_mandir}/man6/icarus.6*

%changelog
* Tue Sep 12 2017 adrianomorselli <adrianomorselli> 0.104-1uplos2017
- updated thank to Agent Smith

* Thu Aug 24 2017 Agent Smith  <ruidobranco@yahoo.com.br> higan-0.104-1pclos2017.src.rpm
- Updated the package higan, with latest sources (v104)
- Removed create config patch, removed cheats.bml (dropped by the authors)
